// PhoneLocalHome.java

package hr;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface PhoneLocalHome extends EJBLocalHome
{
    public PhoneLocal create(Phone phone)
        throws CreateException;

    public PhoneLocal findByPrimaryKey(Object autoid)
        throws FinderException;

    public PhoneLocal findByPhoneNo(String phoneNo)
        throws FinderException;

    public Collection findAll()
        throws FinderException;
}
